OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
PointsToMask< GridT, InterrupterT >::ReducePool Struct Reference

`#include <openvdb/tools/PointsToMask.h>`

## Public Types
using | VecT = std::vector<GridT*>
using | IterT = typename VecT::iterator
using | RangeT = tbb::blocked_range<IterT>

## Public Member Functions
| ReducePool (PoolType &pool, GridT *grid, size_t grainSize=1)
| ReducePool (const ReducePool &, tbb::split)
| ~ReducePool ()
void | operator() (const RangeT &r)
void | join (ReducePool &other)

## Public Attributes
const bool | mOwnsGrid
GridT * | mGrid

## Member Typedef Documentation

## ◆ IterT

template<typename GridT , typename InterrupterT >

using IterT = typename VecT::iterator

## ◆ RangeT

template<typename GridT , typename InterrupterT >

using RangeT = tbb::blocked_range<IterT>

## ◆ VecT

template<typename GridT , typename InterrupterT >

using VecT = std::vector<GridT*>

## Constructor & Destructor Documentation

## ◆ ReducePool() [1/2]

template<typename GridT , typename InterrupterT >

ReducePool | ( | PoolType & | pool,
|  | GridT * | grid,
|  | size_t | grainSize = 1 )
| inline

## ◆ ReducePool() [2/2]

template<typename GridT , typename InterrupterT >

ReducePool | ( | const ReducePool & | ,
|  | tbb::split | )
| inline

## ◆ ~ReducePool()

template<typename GridT , typename InterrupterT >

~ReducePool | ( |  | ) |
| inline

## Member Function Documentation

## ◆ join()

template<typename GridT , typename InterrupterT >

void join | ( | ReducePool & | other | ) |
| inline

## ◆ operator()()

template<typename GridT , typename InterrupterT >

void operator() | ( | const RangeT & | r | ) |
| inline

## Member Data Documentation

## ◆ mGrid

template<typename GridT , typename InterrupterT >

GridT* mGrid

## ◆ mOwnsGrid

template<typename GridT , typename InterrupterT >

const bool mOwnsGrid